summaryrefslogtreecommitdiffstats
path: root/core/modules/etherwake/data/opt/openslx/scripts/cron-enable_wol
diff options
context:
space:
mode:
Diffstat (limited to 'core/modules/etherwake/data/opt/openslx/scripts/cron-enable_wol')
-rwxr-xr-xcore/modules/etherwake/data/opt/openslx/scripts/cron-enable_wol8
1 files changed, 8 insertions, 0 deletions
diff --git a/core/modules/etherwake/data/opt/openslx/scripts/cron-enable_wol b/core/modules/etherwake/data/opt/openslx/scripts/cron-enable_wol
new file mode 100755
index 00000000..ffa7fbb9
--- /dev/null
+++ b/core/modules/etherwake/data/opt/openslx/scripts/cron-enable_wol
@@ -0,0 +1,8 @@
+#!/bin/ash
+
+for i in eth0 boot0; do
+ [ -e "/sys/class/net/$i" ] || continue
+ ethtool -s "$i" wol g
+done
+
+exit 0